/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */

/**
 * @api
 */
 define([
    'mage/url',
    'Magento_Ui/js/model/messageList',
    'mage/translate',
    'Magento_Checkout/js/model/full-screen-loader'
], function (url, globalMessageList, $t,fullScreenLoader) {
    'use strict';

    return {
        /**
         * @param {Object} response
         * @param {Object} messageContainer
         */
        process: function (response, messageContainer) {
            var error;

            messageContainer = messageContainer || globalMessageList;

            if (response.status == 401) { //eslint-disable-line eqeqeq
                window.location.replace(url.build('customer/account/login/'));
            } else {
                try {
                    error = JSON.parse(response.responseText);
                } catch (exception) {
                            var error_message;
                            error_message=response.responseText;
                            var errorElement = document.getElementById('card-errors');
                            errorElement.textContent = error_message;
                            fullScreenLoader.stopLoader();
                            setTimeout(function(){window.location.reload(true);}, 5000);
                            return;
                }
            }
        }
    };
});